<p align="center">
  <a href="https://www.mr-robotics.com/">
    <img src="./extras/BrainzyLogo.svg" width="300">
  </a>

  <p align="center">
    Une bibliothèque Arduino pour faciliter la programmation de vos robots.
    <br>
    Un projet de <a href="https://www.mr-robotics.com/">www.mr-robotics.com</a>.
    <br>
    :blue_book: <a href="https://www.mr-robotics.com/docs"><strong>Documentation en ligne</strong></a>
</p>

# Sommaire

- [Présentation](#presentation)
- [Installation](#installation)
- [Documentation](#documentation)
- [Licence](#licence)

# Presentation

Robby est un robot entièrement programmable et modulable développé par [Mr. Robotics](https://www.mr-robotics.com) pour encourager l'apprentissage de la Robotique et de la Programmation. À l'aide de la bibilothèque BRAINZY, l'[IDE Arduino](https://www.arduino.cc/) devient un environnement idéal de programmation.

Cette bibliothèque est distribuée sous la licence GNU General Public License v3.0. Vous pouvez participer à son développement en signalant [ses erreurs](https://github.com/WhoIsMrRobotics/brainzy-library/issues) et en améliorant son code source.

Robby est doté d'un microcontrôleur, appelé BRAINZY Board, semblable aux Arduino Boards. Cette carte est basée sur un ARM Cortex-M4F et s'accompagne de nombreux modules vous permettant d'étendre les capacités et la complexité de vos robots.

Pour plus d'information, consulter notre site : [www.mr-robotics.com](https://www.mr-robotics.com).

# Installation

1. Télécharger et installer l'[IDE Arduino](https://www.arduino.cc/en/Main/Software) ;
2. Télécharger et installer l'extension [Teensyduino](https://www.pjrc.com/teensy/td_download.html) (assurez vous d'utiliser une version compatible avec l'IDE Arduino précédemment installé) ;
3. Télécharger la bibibliothèque [BRAINZY](https://github.com/WhoIsMrRobotics/brainzy-library/releases) (format .zip) et suivez [ce tutoriel](https://www.arduino.cc/en/Guide/Libraries#toc4) pour l'installer dans l'IDE Arduino.

:star: Pour plus d'information, rendez-vous [ici](https://www.mr-robotics.com/docs/installation.php) !!

# Documentation

Une documentation complète est disponible en ligne : [docs.mr-robotics.com](https://www.mr-robotics.com/docs).

De nombreux exemples sont aussi disponibles une fois la bibibliothèque installée. Pour y accéder via l'IDE Arduino, allez dans l'onglet `Fichier > Exemples > BRAINZY`.

# Licence

```
Written by Olivier Lévêque.
Copyright (c) 2018 by Mr. Robotics. All right reserved.
```

This library is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this library.  If not, see <http://www.gnu.org/licenses/>.
